GET/Drives/{driveId}/partitions/{partitionId}/shared
Returns the files and folders shared with a collaborator or area partition and the permissions granted,
optionally navigating into a path of the shared subtree. The partitionId is a collaborator or area ID from
Drives_GetDrivePartition, and the association is the grantedAssociation that gave access to the path and is
required when path is provided.
Path Parameters
| Field | Type | Required | Description |
|---|
| driveId | uuid | Required | |
| partitionId | uuid | Required | |
Query Parameters
| Field | Type | Required | Description |
|---|
| path | string | Optional | |
| association | uuid | Optional | |
Response
| Field | Type | Description |
|---|
| pathParts | GetDrivePartitionSharedResponsePathPart[]| null | |
| files | GetDrivePartitionSharedResponseItem[]| null | |
| folders | GetDrivePartitionSharedResponseItem[]| null | |
| permissions | string[]| null | |
GetDrivePartitionSharedResponsePathPart
| Field | Type | Description |
|---|
| name | string| null | |
| path | string| null | |
| grantedAssociation | uuid | |
GetDrivePartitionSharedResponseItem
| Field | Type | Description |
|---|
| id | uuid | |
| grantedAssociation | uuid | |
| permissions | string[]| null | |
| type | string| null | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| fullPath | string| null | |
| associations | GetDrivePartitionSharedResponseItemAssociation | |
| versions | string[]| null | |
GetDrivePartitionSharedResponseItemAssociation
| Field | Type | Description |
|---|
| collaborators | GetDrivePartitionSharedResponseItemAssociationAssociatedEntity[]| null | |
| areas | GetDrivePartitionSharedResponseItemAssociationAssociatedEntity[]| null | |
| crewMembers | GetDrivePartitionSharedResponseItemAssociationAssociatedEntity[]| null | |
GetDrivePartitionSharedResponseItemAssociationAssociatedEntity
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |